Package org.sunflow.image.formats

## Class BitmapRGBA8

- java.lang.Object
- - org.sunflow.image.Bitmap
  - - org.sunflow.image.formats.BitmapRGBA8

-     public class BitmapRGBA8
      extends Bitmap

- - ### Field Summary

    - ### Fields inherited from class org.sunflow.image.Bitmap

      `INV255, INV65535`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BitmapRGBA8​(int w, int h, byte[] data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getHeight()` |
    `int` | `getWidth()` |
    `float` | `readAlpha​(int x, int y)` |
    `Color` | `readColor​(int x, int y)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitmapRGBA8

          public BitmapRGBA8​(int w,
                             int h,
                             byte[] data)

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in class `Bitmap`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in class `Bitmap`

    - #### readColor

          public Color readColor​(int x,
                                 int y)

      Specified by:
        `readColor` in class `Bitmap`

    - #### readAlpha

          public float readAlpha​(int x,
                                 int y)

      Specified by:
        `readAlpha` in class `Bitmap`